Bug 1130535 - [abrt] cinnamon: g_type_check_instance_is_a(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: g_type_check_instance_is_a(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1551aa0784fc9178c75eb9bfc7c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 13:40 UTC by Steve Bryant
Modified: 2015-06-29 22:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:04:54 UTC


Attachments (Terms of Use)
File: backtrace (41.48 KB, text/plain)
2014-08-15 13:40 UTC, Steve Bryant
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-15 13:40 UTC, Steve Bryant
no flags Details
File: core_backtrace (20.93 KB, text/plain)
2014-08-15 13:40 UTC, Steve Bryant
no flags Details
File: dso_list (21.32 KB, text/plain)
2014-08-15 13:40 UTC, Steve Bryant
no flags Details
File: environ (1.37 KB, text/plain)
2014-08-15 13:40 UTC, Steve Bryant
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-15 13:40 UTC, Steve Bryant
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-15 13:41 UTC, Steve Bryant
no flags Details
File: maps (88.60 KB, text/plain)
2014-08-15 13:41 UTC, Steve Bryant
no flags Details
File: open_fds (1.88 KB, text/plain)
2014-08-15 13:41 UTC, Steve Bryant
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2014-08-15 13:41 UTC, Steve Bryant
no flags Details
File: var_log_messages (1.52 KB, text/plain)
2014-08-15 13:41 UTC, Steve Bryant
no flags Details

Description Steve Bryant 2014-08-15 13:40:48 UTC
Description of problem:
Launched Gnome Terminal 3.10.2 from icon on Panel, then pressed <Alt><Space>,<X> to maximize.  Cinnamon then crashed and reloaded, but was then able to maximize Gnome Terminal using the keyboard short-cuts without further crashes.

(Do I remember something similar happening under Gnome 3 when it first came out?############0

Version-Release number of selected component:
cinnamon-2.2.14-7.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/cinnamon
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_a at gtype.c:3975
 #1 gdk_window_get_support_multidevice at gdkwindow.c:7181
 #2 synth_crossing_for_grab_notify at gtkmain.c:1887
 #3 gtk_grab_notify_foreach at gtkmain.c:1957
 #4 gtk_grab_notify at gtkmain.c:2014
 #5 gtk_device_grab_add at gtkmain.c:2138
 #6 gtk_menu_popup_for_device at gtkmenu.c:1723
 #7 gtk_menu_popup at gtkmenu.c:1782
 #8 meta_window_menu_popup at ui/menu.c:515
 #9 meta_ui_window_menu_popup at ui/ui.c:537

Comment 1 Steve Bryant 2014-08-15 13:40:52 UTC
Created attachment 927091 [details]
File: backtrace

Comment 2 Steve Bryant 2014-08-15 13:40:53 UTC
Created attachment 927092 [details]
File: cgroup

Comment 3 Steve Bryant 2014-08-15 13:40:55 UTC
Created attachment 927093 [details]
File: core_backtrace

Comment 4 Steve Bryant 2014-08-15 13:40:57 UTC
Created attachment 927094 [details]
File: dso_list

Comment 5 Steve Bryant 2014-08-15 13:40:58 UTC
Created attachment 927095 [details]
File: environ

Comment 6 Steve Bryant 2014-08-15 13:40:59 UTC
Created attachment 927096 [details]
File: exploitable

Comment 7 Steve Bryant 2014-08-15 13:41:00 UTC
Created attachment 927097 [details]
File: limits

Comment 8 Steve Bryant 2014-08-15 13:41:05 UTC
Created attachment 927098 [details]
File: maps

Comment 9 Steve Bryant 2014-08-15 13:41:06 UTC
Created attachment 927099 [details]
File: open_fds

Comment 10 Steve Bryant 2014-08-15 13:41:07 UTC
Created attachment 927100 [details]
File: proc_pid_status

Comment 11 Steve Bryant 2014-08-15 13:41:09 UTC
Created attachment 927101 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:38:38 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:04:54 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.